package com.yanzhu.jh.work.mapper;

import com.yanzhu.jh.work.domain.WorkFile;

import java.util.List;

/**
 * 文件传达Mapper接口
 * 
 * @author JIangYuQi
 * @date 2023-08-06
 */
public interface WorkFileMapper
{
    /**
     * 查询文件传达
     * 
     * @param id 文件传达主键
     * @return 文件传达
     */
    public WorkFile selectWorkFileById(Long id);

    /**
     * 查询文件传达列表
     * 
     * @param workFile 文件传达
     * @return 文件传达集合
     */
    public List<WorkFile> selectWorkFileList(WorkFile workFile);

    /**
     * 查询文件传达列表
     *
     * @param workFile 文件传达
     * @return 文件传达集合
     */
    public List<WorkFile> selectWorkFileListLimit20(WorkFile workFile);

    /**
     * 新增文件传达
     * 
     * @param workFile 文件传达
     * @return 结果
     */
    public int insertWorkFile(WorkFile workFile);

    /**
     * 修改文件传达
     * 
     * @param workFile 文件传达
     * @return 结果
     */
    public int updateWorkFile(WorkFile workFile);

    /**
     * 删除文件传达
     * 
     * @param id 文件传达主键
     * @return 结果
     */
    public int deleteWorkFileById(Long id);

    /**
     * 批量删除文件传达
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWorkFileByIds(Long[] ids);
}
